<app-menu></app-menu>

<section id="globalBoardSection">
  <section id="sessionInfos">
    <div *ngFor="let actualSession of session, let i=index">
      <h2>{{actualSession.session_objet}}</h2>
      <p><span id="sessionNameInfo">Nom de session :</span> {{actualSession.session_name}}</p>
    </div>
  </section>
  <!-- Zone pour présenter le contenu de la page -->
  <section id="resultsSection">
    <!-- <h5>Plateau de travail</h5>-->
    <div id="resultsZone">
      <!-- Zone où s'affichent les cartes idées à la fin de la session de brainstorming -->
    </div>
  </section>

  <!-- Zone des boutons pour créer une carte et décrire son idée -->
  <section id="buttonsSection">
    <!-- Bouton qui provoque l'apparition d'un modal -->
    <button id="createCardButton" class="btn btn-dark" type="button" data-bs-toggle="modal" data-bs-target="#staticBackdrop" [disabled]="ideaShow">Proposer une idée</button>
    &nbsp;
    <button id="evaluateIdeaButton" class="btn btn-dark" type="button" (click)="getRandomIdea()" data-bs-toggle="modal" data-bs-target="#staticBackdrop2" [disabled]="evalShow" >Évaluer une idée</button>
  </section>

  <section id="resultsButtonSection">
    <button id="resultsButton" class="btn btn-light" (click)="getResultat()" [disabled]="resultShow">Voir les résultats</button>
    <div id="loadingZoneBoard" [hidden]="hiddenBoardLoaderStatus">
      <lottie-player id="lottieAnimation" src="https://assets2.lottiefiles.com/packages/lf20_2k9k7m7y.json" background="transparent" speed="1" style="width: 300px; height: 300px;" loop autoplay></lottie-player>
      <p class="transitionText">Attente de la prochaine phase...</p>
    </div>
    <!--routerLink="/resultats"-->
  </section>

  <!-- Partie création carte sous la forme d'un popover modal -->
  <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <form [formGroup]="addNewIdeaForm" (ngSubmit)="onSubmit()">
            <div class="modal-header">
              <h5 class="modal-title" id="staticBackdropLabel">Création d'une carte idée : </h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div id="modalBody" class="modal-body">
              <div id="titleIdeaPart" class="mb-3">
                <label for="titleIdeaInput" class="form-label">Titre</label>
                <input type="text" class="form-control" id="titleIdeaInput" formControlName="idea_titre" required>
              </div>
              <div id="descriptionPartOfIdea" class="mb-3">
                <label for="descriptionZoneOfIdea" class="form-label">Description de votre idée</label>
                <textarea class="form-control" id="descriptionZoneOfIdea" rows="10" formControlName="idea_desc" required></textarea>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-dark" data-bs-dismiss="modal">Annuler</button>
              <button type="submit" class="btn btn-success" [disabled]="addNewIdeaForm.invalid" data-bs-dismiss="modal">Valider</button>
            </div>
          </form>
        </div>
      </div>
  </div>

  <!-- Partie évaluation idée sous la forme d'un popover modal -->
  <div class="modal fade" id="staticBackdrop2" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true" >
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <form (ngSubmit)="noteSubmit(idea_note.value)">
          <div class="modal-header">
            <h5 class="modal-title" id="staticBackdropLabel">Idée : <label id="idea_titre">"{{idea_titre}}"</label></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <div>
              <h6>Présentation de l'idée</h6>
              <pre class="ideas" id="idea_desc">{{idea_desc}}
              </pre>
              <hr>
              <h6>Note : </h6>
                <input type="range" #idea_note class="form-range" min="0" max="5" step="0.5" value="2.5" id="idea_note" (input)="idea_note.value">
                <label for="idea_note">(<span class="ideaNoteFromBoard">{{ idea_note.value }}</span>/5)</label>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-dark" data-bs-dismiss="modal">Annuler</button>
            <button type="submit" class="btn btn-success" data-bs-dismiss="modal">Valider</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</section>


